tbb::flow::interface9::internal::untyped_receiver Class Referenceabstract
Inheritance diagram for tbb::flow::interface9::internal::untyped_receiver:

## Public Types

typedef untyped_sender | predecessor_type
| The predecessor type for this node.
typedef internal::edge_container < predecessor_type > | built_predecessors_type
typedef built_predecessors_type::edge_list_type | predecessor_list_type

## Public Member Functions

virtual | ~untyped_receiver ()
| Destructor.
template<typename X >
bool | try_put (const X &t)
| Put an item to the receiver.
virtual bool | register_predecessor (predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (predecessor_type &)
| Remove a predecessor from the node.
virtual built_predecessors_type & | built_predecessors ()=0
virtual void | internal_add_built_predecessor (predecessor_type &)=0
virtual void | internal_delete_built_predecessor (predecessor_type &)=0
virtual void | copy_predecessors (predecessor_list_type &)=0
virtual size_t | predecessor_count ()=0

## Protected Member Functions

template<typename X >
task * | try_put_task (const X &t)
virtual task * | try_put_task_wrapper (const void *p, bool is_async)=0
virtual void | reset_receiver (reset_flags f=rf_reset_protocol)=0
| put receiver back in initial state
virtual bool | is_continue_receiver ()

## Friends

template<typename , typename >
class | run_and_put_task
template<typename >
class | limiter_node
template<typename , typename >
class | internal::broadcast_cache
template<typename , typename >
class | internal::round_robin_cache
template<typename , typename >
class | internal::successor_cache
template<typename , typename >
class | proxy_dependency_receiver

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.